Summary:	A wrapper script for the zram linux kernel module
Name:		zram-init
Version:	13.0
Release:	1
License:	GPL v2
Group:		Applications
Source0:	https://github.com/vaeth/zram-init/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2c7bd77b766bd80ab2d254f8d7853bb3
URL:		https://github.com/vaeth/zram-init/
BuildRequires:	gettext-tools
BuildRequires:	rpmbuild(macros) >= 1.644
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a small helper script to setup a zram device as swap or as a
ramdisk.

%package -n zsh-completion-zram-init
Summary:	ZSH completion for zram-init command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh

%description -n zsh-completion-zram-init
ZSH completion for zram-init command line.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env sh,%{__sh},' sbin/zram-init.in

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT/sbin \
	MODPROBED=TRUE \
	MODPROBEDIR=$RPM_BUILD_ROOT/etc/modprobe.d \
	MANPAGE=TRUE \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	GETTEXT=TRUE \
	MODIR=$RPM_BUILD_ROOT%{_localedir} \
	ZSH_COMPLETION=TRUE \
	COMP_ZSHDIR=$RPM_BUILD_ROOT%{zsh_compdir} \
	SYSTEMD=TRUE \
	SYSTEMDDIR=$RPM_BUILD_ROOT%{systemdunitdir} \
	OPENRC=FALSE

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_reload

%postun
%systemd_reload

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md
%attr(755,root,root) /sbin/zram-init
%config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/zram.conf
%{systemdunitdir}/zram_btrfs.service
%{systemdunitdir}/zram_swap.service
%{systemdunitdir}/zram_tmp.service
%{systemdunitdir}/zram_var_tmp.service
%{_mandir}/man8/zram-init.8*
%lang(de) %{_mandir}/de/man8/zram-init.8*

%files -n zsh-completion-zram-init
%defattr(644,root,root,755)
%{zsh_compdir}/_zram-init
%changelog
* Tue May 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zram-init.git;a=log;h=master

* Mon May 12 2025 Jan Palus <atler@pld-linux.org> d7bfc11
- up to 13.0

* Mon May 12 2025 Jan Palus <atler@pld-linux.org> 4768d43
- BR: gettext-tools

* Thu Mar 20 2025 Jan Palus <atler@pld-linux.org> ab98311
- up to 12.2

* Sat Dec 07 2024 Jan Palus <atler@pld-linux.org> c946393
- up to 12.0

* Fri Jan 14 2022 Jan Palus <atler@pld-linux.org> 763dfd1
- up to 11.1

* Fri Dec 24 2021 Jan Palus <atler@pld-linux.org> 88f5369
- don't replace modprobe config; rel 2

* Thu Mar 18 2021 Jan Palus <atler@pld-linux.org> 471fe6a
- up to 11.0

* Wed Mar 10 2021 Jan Palus <atler@pld-linux.org> 8366d03
- up to 10.12

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> 264ced6
- up to 10.11

* Tue Feb 23 2021 Jan Rękorajski <baggins@pld-linux.org> f90b736
- rel 2

* Tue Feb 23 2021 Jan Palus <atler@pld-linux.org> d32c25d
- macros for %systemd*

* Tue Feb 23 2021 Jan Palus <atler@pld-linux.org> adb30eb
- up to 10.10

* Fri Oct 30 2020 Jan Palus <atler@pld-linux.org> 23fb511
- up to 10.9

* Tue Oct 27 2020 Jan Palus <atler@pld-linux.org> 1c83a72
- up to 10.7

* Fri Jun 12 2020 Jan Palus <atler@pld-linux.org> 0781c43
- up to 10.3

* Thu May 07 2020 Jan Palus <atler@pld-linux.org> 34124a5
- new (version 9.1)

